Bug 1709860 (CVE-2019-5427) - CVE-2019-5427 c3p0: loading XML configuration leads to denial of service
Summary: CVE-2019-5427 c3p0: loading XML configuration leads to denial of service
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-5427
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1709862 1709861
Blocks: 1709863
TreeView+ depends on / blocked
 
Reported: 2019-05-14 12:36 UTC by msiddiqu
Modified: 2020-03-26 16:32 UTC (History)
68 users (show)

Fixed In Version: c3p0 0.9.5.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-26 16:32:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:0983 None None None 2020-03-26 15:47:36 UTC

Description msiddiqu 2019-05-14 12:36:22 UTC
c3p0 version < 0.9.5.4 may be exploited by a billion laughs attack when loading XML configuration due to missing protections against recursive entity expansion when loading configuration.

References:  

https://hackerone.com/reports/509315
http://www.cvedetails.com/cve/CVE-2019-5427/ 

Upstream commit:

https://github.com/swaldman/c3p0/commit/f38f27635c384806c2a9d6500d80183d9f09d78b

Comment 1 msiddiqu 2019-05-14 12:36:44 UTC
Created c3p0 tracking bugs for this issue:

Affects: epel-7 [bug 1709862]
Affects: fedora-all [bug 1709861]

Comment 2 Joshua Padman 2019-05-15 23:07:43 UTC
This vulnerability is out of security support scope for the following products:
 * Red Hat JBoss Fuse 6
 * Red Hat JBoss SOA Platform 5
 * Red Hat JBoss BPM Suite 6

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.

Comment 3 Cedric Buissart 2019-05-17 11:47:54 UTC
In Satellite 5 context : setting severity to Low, because the attack requires c3p0 to be provided with a specially crafted XML configuration file. This should not happen unless the Satellite is already severely compromised.

Comment 4 Doran Moppert 2019-07-01 05:23:49 UTC
Statement:

Red Hat Satellite 6 is not vulnerable to this issue, because the candlepin component who uses the c3p0 jar never passes a XML configuration file to c3p0, even though it includes a vulnerable version of the latter. Since this issue requires a XML files to be loaded by c3p0, an exploitation path doesn't exist.

Comment 5 Jason Shepherd 2019-08-08 05:49:32 UTC
This vulnerability is out of security support scope for the following product:

 * Red Hat Mobile Application Platform

 Please refer to https://access.redhat.com/support/policy/updates/rhmap for more details

Comment 6 Joshua Padman 2019-08-12 02:17:50 UTC
This vulnerability is out of security support scope for the following product:
 * Red Hat JBoss Enterprise Web Server 2

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.

Comment 10 errata-xmlrpc 2020-03-26 15:47:31 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.6.0

Via RHSA-2020:0983 https://access.redhat.com/errata/RHSA-2020:0983

Comment 11 Product Security DevOps Team 2020-03-26 16:32:11 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-5427


Note You need to log in before you can comment on or make changes to this bug.